Ubuntu

sound players make noises when other windows maximize/minimize

Reported by Mauricio Mora Meza on 2008-05-04
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Low
Mauricio Mora Meza

Bug Description

While i am playing muzik or when system or applications make sounds there are noises. It seems that the noises happen when system comes from quiet to loud and when a sound is playing and some window is minimized or restaured or maybe when there is an important change in the screen view (graphics).

ALSA information is located at http://pastebin.ca/1007771

Sidarth Dasari (sirsid) wrote :

What kind of sounds? Are they the same every time you minimize a window?

Check in System >> Preferences >> Sounds >> Sounds

You may have some of those sounds enabled.

hi Sidarth...
Now i have everything configured with ALSA, not PULSE, because when i use PULSE, it crashes with the graphic system (minimize/restore and that kind of stuff), i mean, when windows are restored on the screen it makes noises, not system sounds my friend, undesired sounds, unpleasant sounds.
A few days before, it happened even with ALSA, but something change and things goes well with ALSA, but PULSE is still bad.
So i just already changed to PULSE right now and can test that the problem still remains. Going back to ALSA. What was the noise right now? when a friend of mine sent me a messenge in Pdigin, this sound came very bad, horrible.

Bye....

thank you...

Regards from Peru...

Pedro Villavicencio (pedro) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. The issue that you reported is one that should be reproducible with the live environment of the Desktop CD of the development release Karmic Koala. It would help us greatly if you could test with it so we can work on getting it fixed in the next release of Ubuntu. You can find out more about the development release at http://www.ubuntu.com/testing/ . Thanks again and we appreciate your help.

Changed in pulseaudio (Ubuntu):
status: New → Incomplete
importance: Undecided → Low

Hi Pedro,
Nice to meet you here.
I would like to know if i could write to you in spanish, maybe you speak
spanish as i can see your name looks originary from latin america.

let me know please,

Bye,

Mauricio

On Tue, Sep 1, 2009 at 7:39 AM, Pedro Villavicencio <email address hidden>wrote:

> Thank you for taking the time to report this bug and helping to make
> Ubuntu better. The issue that you reported is one that should be
> reproducible with the live environment of the Desktop CD of the
> development release Karmic Koala. It would help us greatly if you could
> test with it so we can work on getting it fixed in the next release of
> Ubuntu. You can find out more about the development release at
> http://www.ubuntu.com/testing/ . Thanks again and we appreciate your
> help.
>
> ** Changed in: pulseaudio (Ubuntu)
> Status: New => Incomplete
>
> ** Changed in: pulseaudio (Ubuntu)
> Importance: Undecided => Low
>
> --
> sound players make noises when other windows maximize/minimize
> https://bugs.launchpad.net/bugs/226632
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Darryl Pogue (dpogue) wrote :

I believe I am encountering the same issue. It is 100% reproducible on my system.

Open Rhythmbox/Totem/Firefox+YouTube and start a song.
Another application (such as Pidgin) plays a notification sound.

Expected behaviour: Both sounds play.

Actual behaviour: The music stutters horribly for the duration of the notification sound. "Stutters" meaning that it appears to be looping over the same few bytes of PMC data.

This is definitely a regression, and effectively prevents two applications from playing sound at the same time. They actually don't even need to be two different applications. If a buddy signs on at the same time as a buddy signing off in Pidgin, the two sound notifications produce this result.

The goal of pulseaudio was to handle mixing multiple streams, something is causing it to do the exact opposite.

Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: dpogue 23509 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xfe024000 irq 22'
   Mixer name : 'Realtek ALC888'
   Components : 'HDA:10ec0888,103c2a34,00100001'
   Controls : 38
   Simple ctrls : 22
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: pulseaudio 1:0.9.16~test6-3-g57e1-0ubuntu2
PackageArchitecture: amd64
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_GB.UTF-8
 LANGUAGE=en_GB.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-9.29-generic
Uname: Linux 2.6.31-9-generic x86_64
UserGroups: adm admin audio cdrom dialout fuse lpadmin netdev plugdev sambashare video

Darryl Pogue (dpogue) wrote :
Darryl Pogue (dpogue) wrote :
Darryl Pogue (dpogue) wrote :
Darryl Pogue (dpogue) wrote :
Darryl Pogue (dpogue) wrote :
Darryl Pogue (dpogue) wrote :
Darryl Pogue (dpogue) wrote :
Darryl Pogue (dpogue) wrote :
Darryl Pogue (dpogue) wrote :
Darryl Pogue (dpogue) wrote :
Changed in pulseaudio (Ubuntu):
status: Incomplete → New
tags: added: apport-collected
Luke Yelavich (themuso) wrote :

Could you please either install or try running the latest lucid alpha 3 live CD to see if you can reproduce your problem in lucid?

Thanks.

Daniel T Chen (crimsun) on 2010-03-05
affects: pulseaudio (Ubuntu) → alsa-driver (Ubuntu)
Changed in alsa-driver (Ubuntu):
status: New → Incomplete
Brad Figg (brad-figg) on 2010-03-31
tags: added: hardy

I am waiting for the right time to buy an Audio USB device, because
integrated/PCI devices for Audio have a lot of noises problems due to the
rest of hardware near to the audio inside devices.
I recommend you all, to use Audio USB devices, but not at all because I
haven't tried it yet :D
I am just excited thinking about how it will sound with USB Audio.

MAURICIO MORA MEZA
celular: 991022757

On Wed, Mar 31, 2010 at 12:21 PM, Brad Figg <email address hidden> wrote:

> ** Tags added: hardy
>
> --
> sound players make noises when other windows maximize/minimize
> https://bugs.launchpad.net/bugs/226632
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Brad Figg (brad-figg) wrote :

This bug report was marked as Incomplete and has not had any updated comments for quite some time. As a result this bug is being closed. Please reopen if this is still an issue in the current Ubuntu release http://www.ubuntu.com/getubuntu/download . Also, please be sure to provide any requested information that may have been missing. To reopen the bug, click on the current status under the Status column and change the status back to "New". Thanks.

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: kj-expired
Changed in alsa-driver (Ubuntu):
status: Incomplete → Expired

It is being a long time since this bug was reported by me. And I can say that, for Karmic, the problem still remains. Not exactly the same problem, but there are still noises when sound system comes from silence to playing something and from playing something to silence.
And of course, this happens to me everytime I try to play sounds using my Creative Sound Blaster Audigy SE that uses the ca0106 module.
When I play sounds with the integrated sound system of my PC all sounds play just fine.
And I remember that I try the same sound card with Lucid Lynx and the problem remains.

Bye

Changed in alsa-driver (Ubuntu):
assignee: nobody → m3F (mauricio.mora)
status: Expired → New

I have to say that I tried the sound card with 2 different PC´s in different motherboards using Ubuntu Karmic and Jaunty and the bug is the same.

Daniel T Chen (crimsun) wrote :

This actually isn't a driver problem but a timing one -- and possibly a hardware one.

The Audigy SE plays very good and perfect in Windows XP/7, any problems at
all, What hardware problems do you talk about?
Timing? Explain please.

MAURICIO MORA MEZA
celular: 991022757

On Tue, May 25, 2010 at 7:18 PM, Daniel T Chen <email address hidden>wrote:

> This actually isn't a driver problem but a timing one -- and possibly a
> hardware one.
>
> --
> sound players make noises when other windows maximize/minimize
> https://bugs.launchpad.net/bugs/226632
> You received this bug notification because you are a direct subscriber
> of the bug.
>

In openSUSE the same problem, so It must be an ALSA driver problem. I am not
an expert, I just guess.

MAURICIO MORA MEZA
celular: 991022757

On Tue, May 25, 2010 at 9:46 PM, mauricio <email address hidden>wrote:

> The Audigy SE plays very good and perfect in Windows XP/7, any problems at
> all, What hardware problems do you talk about?
> Timing? Explain please.
>
>
> MAURICIO MORA MEZA
> celular: 991022757
>
>
> On Tue, May 25, 2010 at 7:18 PM, Daniel T Chen <email address hidden>wrote:
>
>> This actually isn't a driver problem but a timing one -- and possibly a
>> hardware one.
>>
>> --
>> sound players make noises when other windows maximize/minimize
>> https://bugs.launchpad.net/bugs/226632
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>
>

Daniel T Chen (crimsun) wrote :

Please see PCI latency tweaking pages on the web.

Daniel, It works in Windows, man, No matter any latency or whatever.

MAURICIO MORA MEZA
celular: 991022757

On Tue, May 25, 2010 at 10:03 PM, Daniel T Chen <email address hidden>wrote:

> Please see PCI latency tweaking pages on the web.
>
> --
> sound players make noises when other windows maximize/minimize
> https://bugs.launchpad.net/bugs/226632
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Daniel T Chen (crimsun) wrote :

I'm not sure how "it works in Windows" is relevant here. The fact that the symptom is exposed in another Linux distribution does not necessarily point to an alsa-driver issue immediately, and the symptom is frequently associated with latency issues on the bus.

Thomas Hotz (thotz) wrote :

Marking as confirmed because it happens to multiple users.

Changed in alsa-driver (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers